## ros-noetic-rc-visard-driver 3.3.2

=== debian/changelog ===
ros-noetic-rc-visard-driver (3.3.2-1buster) buster; urgency=high

  * require at least rc_visard firmware version 22.04

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 17 Feb 2022 23:00:00 -0000

ros-noetic-rc-visard-driver (3.3.1-1buster) buster; urgency=high

  * Protected translation from GenICam to CamParam message with mutex to avoid race condition when changing out1_mode

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 17 Feb 2022 23:00:00 -0000

ros-noetic-rc-visard-driver (3.3.0-1buster) buster; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 07 Feb 2022 23:00:00 -0000

ros-noetic-rc-visard-driver (3.2.4-1buster) buster; urgency=high

  * Add exposure_adapt_timeout parameter
  * update parameter description with enum values in square brackets
  * fix line_source and add more extra_data to CameraParam

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 14 Nov 2021 23:00:00 -0000

ros-noetic-rc-visard-driver (3.2.3-1buster) buster; urgency=high

  * Fixed building on internal gitlab CI

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 02 Aug 2021 22:00:00 -0000

ros-noetic-rc-visard-driver (3.2.2-1buster) buster; urgency=high

  Changes supporting rc_sgm_producer:
  * Extend color format to RGB8
  * Using parameter PtpEnable instead of deprecated parameter GevIEEE1588 for controlling PTP

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-rc-visard-driver (3.2.1-1buster) buster; urgency=high

  * Only checking for rc_visard as model and not for vendor when detecting devices

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 10 Feb 2021 23:00:00 -0000

ros-noetic-rc-visard-driver (3.2.0-1buster) buster; urgency=high

  * update cmake files for better version handling
  * set out1_mode immediately in reconfigure callback to avoid race condition
  * default out1_mode is Low

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 27 Jan 2021 23:00:00 -0000

ros-noetic-rc-visard-driver (3.1.0-1buster) buster; urgency=high

  * Change: publish all images on */image_rect topics, meaning don't filter out1 low in alternate mode
  * Change: always publish *_out1_low and *_out1_high topics even if no iocontrol license is available
  * debug messages when GenICam params are changed
  * rename adaptive_out1_reduction to out1_reduction
  * add Out1High camera_exp_auto_mode (requires rc_visard firmware >= 20.11.0)
  * add depth_double_shot parameter (requires rc_visard firmware >= 20.11.0)

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-noetic-rc-visard-driver (3.0.5-1buster) buster; urgency=high

  * add noise, test, adaptive_out1_reduction and brightness to CameraParam extra_data if available

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 19 Oct 2020 22:00:00 -0000

ros-noetic-rc-visard-driver (3.0.4-1buster) buster; urgency=high

  * Removed forgotten debug log output

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 22 Sep 2020 22:00:00 -0000

ros-noetic-rc-visard-driver (3.0.3-1buster) buster; urgency=high

  * Removed parameter disparity range as it will be removed on rc_visard >= 20.10.0
    (Use dynamic parameters depth_mindepth and depth_maxdepth for controlling thedepth range and coloring of disparity_color images.)

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 21 Sep 2020 22:00:00 -0000

ros-noetic-rc-visard-driver (3.0.2-1buster) buster; urgency=high

  * Fixed filtering out images with projection if stereo matching is used single shot and controls a random dot projector
  * Removed parameter depth_median as it will be removed on rc_visard >= 20.10.0
  * rc_pick_client: fix grasp markers
  * Fixed dockerfiles
  * Update readme

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 27 Jul 2020 22:00:00 -0000

ros-noetic-rc-visard-driver (3.0.1-1buster) buster; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 13 May 2020 22:00:00 -0000

ros-noetic-rc-visard-driver (3.0.0-1buster) buster; urgency=high

  * rc_visard_driver depends on rc_common_msgs >= 0.5
  * Added estimated noise level of image as extra_data in CameraParam message
  * Added dynamic parameter camera_exp_auto_mode with backward compatibility to old rc_visards
  * Only update dynamic out1_mode parameter from buffers with intensity images or by polling global nodemap
  * Ensure that the alternate active mode is set before publishing images
  * Used updating of out1_mode to check for valid connection, even if no buffers are expected.
  * dynamic reconfigure parameter out1_mode is automatically updated if changed on sensor
  * Disparity range that is used for disparity images and visualization now correctly considers quality setting
  * warn if DepthAcquisitionMode is not supported by rc_visard firmware version
  * add complete_buffers_total to diagnostics
  * Publish rc_common_msgs/CameraParams with every image.
    This provides information that is missing in CameraInfo,
    like current exposure time and gain.
  * add imu2cam as static tf which is published once the driver is ready
    - driver checks if cam2imu transform can be retrieved from sensor
    or if sensor image is too old
    - in first case static tf is published
    - in latter case old behaviour is implemented, i.e. tf is published
    when subscribed to dynamics stream
  * fix empty error message
  * change to warning for those logs that inform about missing left images for disp images
  * Implemented depth acquisition mode SingleFrameOut1
  * Contributors: Christian Emmerich, Felix Ruess, Heiko Hirschmueller

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 12 May 2020 22:00:00 -0000

ros-noetic-rc-visard-driver (2.7.0-1buster) buster; urgency=high

  * replaced std_srvs/Trigger with rc_common_msgs/Trigger
  * add support for setting exposure region via dynamic_reconfigure

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 18 Jul 2019 22:00:00 -0000

ros-noetic-rc-visard-driver (2.6.4-1buster) buster; urgency=high


