=== debian/control ===
Source: ros-noetic-rc-visard-driver
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), curl, libcurl4-openssl-dev, libprotobuf-dev, libprotoc-dev, protobuf-compiler, ros-noetic-catkin, ros-noetic-diagnostic-updater, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-image-transport, ros-noetic-message-generation, ros-noetic-nav-msgs, ros-noetic-nodelet, ros-noetic-rc-common-msgs (>= 0.5.0), ros-noetic-rc-dynamics-api (>= 0.10.0), ros-noetic-rc-genicam-api (>= 2.0.0), ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-stereo-msgs, ros-noetic-tf, ros-noetic-visualization-msgs
Homepage: http://wiki.ros.org/rc_visard_driver
Standards-Version: 3.9.2

Package: ros-noetic-rc-visard-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libcurl4-openssl-dev, libprotobuf17, ros-noetic-diagnostic-updater, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-image-transport, ros-noetic-message-runtime, ros-noetic-nav-msgs, ros-noetic-nodelet, ros-noetic-rc-common-msgs (>= 0.5.0), ros-noetic-rc-dynamics-api (>= 0.10.0), ros-noetic-rc-genicam-api (>= 2.0.0), ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-stereo-msgs, ros-noetic-tf, ros-noetic-visualization-msgs
Description: The rc_visard_driver provides data from a Roboception rc_visard 3D sensor on several ROS topics.
